/**
* 文件：MateriaBomQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.materia.model;
import java.util.List;

/**
 * <p>Title: 物料BOM单表</p>
 * <p>Description: MateriaBomQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class MateriaBomQuery extends MateriaBomEntity{
	private static final long serialVersionUID = 1614069964439L;
	/** 开始 ID，自增长 */
	private Long idStart;

	/** 结束 ID，自增长 */
	private Long idEnd;

	/** 增加 ID，自增长 */
	private Long idIncrement;

	/** ID，自增长 */
	private List<Long> idList;

	/** bom短代码，同一产品树下唯一，生成后不可变 */
	private List<String> selfCodeList;

	/** bom代码，包括物料BOM类目代码 */
	private List<String> codeList;

	/** 开始 物料BOM类目ID */
	private Long bomTreeIdStart;

	/** 结束 物料BOM类目ID */
	private Long bomTreeIdEnd;

	/** 增加 物料BOM类目ID */
	private Long bomTreeIdIncrement;

	/** 物料BOM类目ID */
	private List<Long> bomTreeIdList;

	/** 物料BOM类目CODE，物料BOM类目代码 */
	private List<String> bomTreeCodeList;

	/** 开始 所属物料ID，bom与物料一一对应 */
	private Long materiaIdStart;

	/** 结束 所属物料ID，bom与物料一一对应 */
	private Long materiaIdEnd;

	/** 增加 所属物料ID，bom与物料一一对应 */
	private Long materiaIdIncrement;

	/** 所属物料ID，bom与物料一一对应 */
	private List<Long> materiaIdList;

	/** 所属物料代码 */
	private List<String> materiaCodeList;

	/** 所属物料名称 */
	private List<String> materiaNameList;

	/** BOM版本，产品版本发布时生成 */
	private List<String> versionList;

	/** 开始 BOM类型，参数配置-BomUseTypeEBOM,PBOM,MBOM等 */
	private Integer useTypeStart;

	/** 结束 BOM类型，参数配置-BomUseTypeEBOM,PBOM,MBOM等 */
	private Integer useTypeEnd;

	/** 增加 BOM类型，参数配置-BomUseTypeEBOM,PBOM,MBOM等 */
	private Integer useTypeIncrement;

	/** BOM类型，参数配置-BomUseTypeEBOM,PBOM,MBOM等 */
	private List<Integer> useTypeList;

	/** 开始 bom状态，0修订中，10审核中，20已发布；审核中和已发布时不可修改；每发布一次产生一新BOM(即复制一份)，且状态为已发布，不可再修改 */
	private Integer statusStart;

	/** 结束 bom状态，0修订中，10审核中，20已发布；审核中和已发布时不可修改；每发布一次产生一新BOM(即复制一份)，且状态为已发布，不可再修改 */
	private Integer statusEnd;

	/** 增加 bom状态，0修订中，10审核中，20已发布；审核中和已发布时不可修改；每发布一次产生一新BOM(即复制一份)，且状态为已发布，不可再修改 */
	private Integer statusIncrement;

	/** bom状态，0修订中，10审核中，20已发布；审核中和已发布时不可修改；每发布一次产生一新BOM(即复制一份)，且状态为已发布，不可再修改 */
	private List<Integer> statusList;

	/** bom备注 */
	private List<String> remarkList;

	/** 开始 变更时间 */
	private String updateTimeStart;

	/** 结束 变更时间 */
	private String updateTimeEnd;

	/** 变更用户loginName */
	private List<String> updateUserList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 创建用户loginName */
	private List<String> createUserList;

	/** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
	private List<MateriaBomQuery> orConditionList;

	/** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
	private List<MateriaBomQuery> andConditionList;


	public MateriaBomQuery(){
	}
	/**
	 * 获取 开始 ID，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 ID，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 ID，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 ID，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 ID，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 ID，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 ID，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 ID，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 bom短代码，同一产品树下唯一，生成后不可变
	 * @return selfCodeList
	 */
	public List<String> getSelfCodeList(){
		return this.selfCodeList;
	}

	/**
	 * 设置 bom短代码，同一产品树下唯一，生成后不可变
	 * @param selfCodeList
	 */
	public void setSelfCodeList(List<String> selfCodeList){
		this.selfCodeList = selfCodeList;
	}

	/**
	 * 获取 bom代码，包括物料BOM类目代码
	 * @return codeList
	 */
	public List<String> getCodeList(){
		return this.codeList;
	}

	/**
	 * 设置 bom代码，包括物料BOM类目代码
	 * @param codeList
	 */
	public void setCodeList(List<String> codeList){
		this.codeList = codeList;
	}

	/**
	 * 获取 开始 物料BOM类目ID
	 * @return bomTreeIdStart
	 */
	public Long getBomTreeIdStart(){
		return this.bomTreeIdStart;
	}

	/**
	 * 设置 开始 物料BOM类目ID
	 * @param bomTreeIdStart
	 */
	public void setBomTreeIdStart(Long bomTreeIdStart){
		this.bomTreeIdStart = bomTreeIdStart;
	}

	/**
	 * 获取 结束 物料BOM类目ID
	 * @return bomTreeIdEnd
	 */
	public Long getBomTreeIdEnd(){
		return this.bomTreeIdEnd;
	}

	/**
	 * 设置 结束 物料BOM类目ID
	 * @param bomTreeIdEnd
	 */
	public void setBomTreeIdEnd(Long bomTreeIdEnd){
		this.bomTreeIdEnd = bomTreeIdEnd;
	}

	/**
	 * 获取 增加 物料BOM类目ID
	 * @return bomTreeIdIncrement
	 */
	public Long getBomTreeIdIncrement(){
		return this.bomTreeIdIncrement;
	}

	/**
	 * 设置 增加 物料BOM类目ID
	 * @param bomTreeIdIncrement
	 */
	public void setBomTreeIdIncrement(Long bomTreeIdIncrement){
		this.bomTreeIdIncrement = bomTreeIdIncrement;
	}

	/**
	 * 获取 物料BOM类目ID
	 * @return bomTreeIdList
	 */
	public List<Long> getBomTreeIdList(){
		return this.bomTreeIdList;
	}

	/**
	 * 设置 物料BOM类目ID
	 * @param bomTreeIdList
	 */
	public void setBomTreeIdList(List<Long> bomTreeIdList){
		this.bomTreeIdList = bomTreeIdList;
	}

	/**
	 * 获取 物料BOM类目CODE，物料BOM类目代码
	 * @return bomTreeCodeList
	 */
	public List<String> getBomTreeCodeList(){
		return this.bomTreeCodeList;
	}

	/**
	 * 设置 物料BOM类目CODE，物料BOM类目代码
	 * @param bomTreeCodeList
	 */
	public void setBomTreeCodeList(List<String> bomTreeCodeList){
		this.bomTreeCodeList = bomTreeCodeList;
	}

	/**
	 * 获取 开始 所属物料ID，bom与物料一一对应
	 * @return materiaIdStart
	 */
	public Long getMateriaIdStart(){
		return this.materiaIdStart;
	}

	/**
	 * 设置 开始 所属物料ID，bom与物料一一对应
	 * @param materiaIdStart
	 */
	public void setMateriaIdStart(Long materiaIdStart){
		this.materiaIdStart = materiaIdStart;
	}

	/**
	 * 获取 结束 所属物料ID，bom与物料一一对应
	 * @return materiaIdEnd
	 */
	public Long getMateriaIdEnd(){
		return this.materiaIdEnd;
	}

	/**
	 * 设置 结束 所属物料ID，bom与物料一一对应
	 * @param materiaIdEnd
	 */
	public void setMateriaIdEnd(Long materiaIdEnd){
		this.materiaIdEnd = materiaIdEnd;
	}

	/**
	 * 获取 增加 所属物料ID，bom与物料一一对应
	 * @return materiaIdIncrement
	 */
	public Long getMateriaIdIncrement(){
		return this.materiaIdIncrement;
	}

	/**
	 * 设置 增加 所属物料ID，bom与物料一一对应
	 * @param materiaIdIncrement
	 */
	public void setMateriaIdIncrement(Long materiaIdIncrement){
		this.materiaIdIncrement = materiaIdIncrement;
	}

	/**
	 * 获取 所属物料ID，bom与物料一一对应
	 * @return materiaIdList
	 */
	public List<Long> getMateriaIdList(){
		return this.materiaIdList;
	}

	/**
	 * 设置 所属物料ID，bom与物料一一对应
	 * @param materiaIdList
	 */
	public void setMateriaIdList(List<Long> materiaIdList){
		this.materiaIdList = materiaIdList;
	}

	/**
	 * 获取 所属物料代码
	 * @return materiaCodeList
	 */
	public List<String> getMateriaCodeList(){
		return this.materiaCodeList;
	}

	/**
	 * 设置 所属物料代码
	 * @param materiaCodeList
	 */
	public void setMateriaCodeList(List<String> materiaCodeList){
		this.materiaCodeList = materiaCodeList;
	}

	/**
	 * 获取 所属物料名称
	 * @return materiaNameList
	 */
	public List<String> getMateriaNameList(){
		return this.materiaNameList;
	}

	/**
	 * 设置 所属物料名称
	 * @param materiaNameList
	 */
	public void setMateriaNameList(List<String> materiaNameList){
		this.materiaNameList = materiaNameList;
	}

	/**
	 * 获取 BOM版本，产品版本发布时生成
	 * @return versionList
	 */
	public List<String> getVersionList(){
		return this.versionList;
	}

	/**
	 * 设置 BOM版本，产品版本发布时生成
	 * @param versionList
	 */
	public void setVersionList(List<String> versionList){
		this.versionList = versionList;
	}

	/**
	 * 获取 开始 BOM类型，参数配置-BomUseTypeEBOM,PBOM,MBOM等
	 * @return useTypeStart
	 */
	public Integer getUseTypeStart(){
		return this.useTypeStart;
	}

	/**
	 * 设置 开始 BOM类型，参数配置-BomUseTypeEBOM,PBOM,MBOM等
	 * @param useTypeStart
	 */
	public void setUseTypeStart(Integer useTypeStart){
		this.useTypeStart = useTypeStart;
	}

	/**
	 * 获取 结束 BOM类型，参数配置-BomUseTypeEBOM,PBOM,MBOM等
	 * @return useTypeEnd
	 */
	public Integer getUseTypeEnd(){
		return this.useTypeEnd;
	}

	/**
	 * 设置 结束 BOM类型，参数配置-BomUseTypeEBOM,PBOM,MBOM等
	 * @param useTypeEnd
	 */
	public void setUseTypeEnd(Integer useTypeEnd){
		this.useTypeEnd = useTypeEnd;
	}

	/**
	 * 获取 增加 BOM类型，参数配置-BomUseTypeEBOM,PBOM,MBOM等
	 * @return useTypeIncrement
	 */
	public Integer getUseTypeIncrement(){
		return this.useTypeIncrement;
	}

	/**
	 * 设置 增加 BOM类型，参数配置-BomUseTypeEBOM,PBOM,MBOM等
	 * @param useTypeIncrement
	 */
	public void setUseTypeIncrement(Integer useTypeIncrement){
		this.useTypeIncrement = useTypeIncrement;
	}

	/**
	 * 获取 BOM类型，参数配置-BomUseTypeEBOM,PBOM,MBOM等
	 * @return useTypeList
	 */
	public List<Integer> getUseTypeList(){
		return this.useTypeList;
	}

	/**
	 * 设置 BOM类型，参数配置-BomUseTypeEBOM,PBOM,MBOM等
	 * @param useTypeList
	 */
	public void setUseTypeList(List<Integer> useTypeList){
		this.useTypeList = useTypeList;
	}

	/**
	 * 获取 开始 bom状态，0修订中，10审核中，20已发布；审核中和已发布时不可修改；每发布一次产生一新BOM(即复制一份)，且状态为已发布，不可再修改
	 * @return statusStart
	 */
	public Integer getStatusStart(){
		return this.statusStart;
	}

	/**
	 * 设置 开始 bom状态，0修订中，10审核中，20已发布；审核中和已发布时不可修改；每发布一次产生一新BOM(即复制一份)，且状态为已发布，不可再修改
	 * @param statusStart
	 */
	public void setStatusStart(Integer statusStart){
		this.statusStart = statusStart;
	}

	/**
	 * 获取 结束 bom状态，0修订中，10审核中，20已发布；审核中和已发布时不可修改；每发布一次产生一新BOM(即复制一份)，且状态为已发布，不可再修改
	 * @return statusEnd
	 */
	public Integer getStatusEnd(){
		return this.statusEnd;
	}

	/**
	 * 设置 结束 bom状态，0修订中，10审核中，20已发布；审核中和已发布时不可修改；每发布一次产生一新BOM(即复制一份)，且状态为已发布，不可再修改
	 * @param statusEnd
	 */
	public void setStatusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
	}

	/**
	 * 获取 增加 bom状态，0修订中，10审核中，20已发布；审核中和已发布时不可修改；每发布一次产生一新BOM(即复制一份)，且状态为已发布，不可再修改
	 * @return statusIncrement
	 */
	public Integer getStatusIncrement(){
		return this.statusIncrement;
	}

	/**
	 * 设置 增加 bom状态，0修订中，10审核中，20已发布；审核中和已发布时不可修改；每发布一次产生一新BOM(即复制一份)，且状态为已发布，不可再修改
	 * @param statusIncrement
	 */
	public void setStatusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
	}

	/**
	 * 获取 bom状态，0修订中，10审核中，20已发布；审核中和已发布时不可修改；每发布一次产生一新BOM(即复制一份)，且状态为已发布，不可再修改
	 * @return statusList
	 */
	public List<Integer> getStatusList(){
		return this.statusList;
	}

	/**
	 * 设置 bom状态，0修订中，10审核中，20已发布；审核中和已发布时不可修改；每发布一次产生一新BOM(即复制一份)，且状态为已发布，不可再修改
	 * @param statusList
	 */
	public void setStatusList(List<Integer> statusList){
		this.statusList = statusList;
	}

	/**
	 * 获取 bom备注
	 * @return remarkList
	 */
	public List<String> getRemarkList(){
		return this.remarkList;
	}

	/**
	 * 设置 bom备注
	 * @param remarkList
	 */
	public void setRemarkList(List<String> remarkList){
		this.remarkList = remarkList;
	}

	/**
	 * 获取 开始 变更时间
	 * @return updateTimeStart
	 */
	public String getUpdateTimeStart(){
		return this.updateTimeStart;
	}

	/**
	 * 设置 开始 变更时间
	 * @param updateTimeStart
	 */
	public void setUpdateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
	}

	/**
	 * 获取 结束 变更时间
	 * @return updateTimeEnd
	 */
	public String getUpdateTimeEnd(){
		return this.updateTimeEnd;
	}

	/**
	 * 设置 结束 变更时间
	 * @param updateTimeEnd
	 */
	public void setUpdateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUserList
	 */
	public List<String> getUpdateUserList(){
		return this.updateUserList;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUserList
	 */
	public void setUpdateUserList(List<String> updateUserList){
		this.updateUserList = updateUserList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUserList
	 */
	public List<String> getCreateUserList(){
		return this.createUserList;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUserList
	 */
	public void setCreateUserList(List<String> createUserList){
		this.createUserList = createUserList;
	}

	/**
	 * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @return orConditionList
	 */
	public List<MateriaBomQuery> getOrConditionList(){
		return this.orConditionList;
	}

	/**
	 * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @param orConditionList
	 */
	public void setOrConditionList(List<MateriaBomQuery> orConditionList){
		this.orConditionList = orConditionList;
	}

	/**
	 * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @return andConditionList
	 */
	public List<MateriaBomQuery> getAndConditionList(){
		return this.andConditionList;
	}

	/**
	 * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @param andConditionList
	 */
	public void setAndConditionList(List<MateriaBomQuery> andConditionList){
		this.andConditionList = andConditionList;
	}


}